Package Gnumed :: Package timelinelib :: Package play :: Module playcontroller :: Class Animation |
[frames] | no frames]

# Class Animation

source code

    object --+
             |
            Animation

Instance Methods
__init__(self, timeline, start_period, duration_in_seconds, end_period) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
is_done(self) | source code
change_current_period(self, delta) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, timeline, start_period, duration_in_seconds, end_period) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)